View Issue Details

IDProjectCategoryView StatusLast Update
0006295MediaMonkey (current)Playerpublic2010-10-16 23:21
Reporterpeke 
PrioritynoneSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.1 
Target Version4.0Fixed in Version4.0 
Summary0006295: Online Radio playback: Player Events are not trigered when track name is changed For Radio Station stream
DescriptionOnPlay event should be generated in Case of player Title Changes when radio station stream support it on track change.

Example Radio station is http://94.23.38.225:2010/

Note that Player is working and reset track playback on each track change.
Additional InformationForum:
http://www.mediamonkey.com/forum/viewtopic.php?f=1&t=47523
TagsNo tags attached.
Fixed in build1303

Activities

peke

2010-03-07 22:21

developer   ~0020049

Script to test behavior:
----
Sub OnStartup
  Script.RegisterEvent SDB, "OnPlay", "NowPlayingChanged"
End Sub

Sub NowPlayingChanged
    Dim res
    res = SDB.MessageBox(SDB.Player.CurrentSong.ArtistName &" - " &SDB.Player.CurrentSong.Title, mtInformation, Array(mbOk))
End Sub
----

Ludek

2010-03-15 14:52

developer   ~0020052

Fixed in build 1303.

peke

2010-10-16 22:36

developer   ~0020806

Verified 1316